> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cativa.digital/llms.txt
> Use this file to discover all available pages before exploring further.

# [Admin] Patch parcial de um curso (padrão pencil)



## OpenAPI

````yaml /openapi/tenant.pt-BR.json patch /api/v2/admin/courses/{courseId}
openapi: 3.0.1
info:
  title: Cativa Tenant API (public)
  version: public
servers:
  - url: https://apis.cativalab.digital/tenant
security: []
paths:
  /api/v2/admin/courses/{courseId}:
    patch:
      tags:
        - Cursos
      summary: '[Admin] Patch parcial de um curso (padrão pencil)'
      operationId: Admin_PatchCourse
      parameters:
        - name: courseId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Cativa.Education.Course.Application.Requests.Admin.AdminPatchCourse.AdminPatchCourseRequest
        required: true
      responses:
        '200':
          description: OK
      security:
        - Bearer: []
components:
  schemas:
    Cativa.Education.Course.Application.Requests.Admin.AdminPatchCourse.AdminPatchCourseRequest:
      type: object
      properties:
        courseId:
          type: string
          format: uuid
        displayType:
          type: integer
          format: int32
          nullable: true
        displayConfig:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        coverUrl:
          type: string
          nullable: true
        secondCoverUrl:
          type: string
          nullable: true
        shortDescription:
          type: string
          nullable: true
        isSequencialLessons:
          type: boolean
          nullable: true
        showGridByDefault:
          type: boolean
          nullable: true
        emitsCertificate:
          type: boolean
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Partner API key (cativa_...) or a JWT, sent as: Authorization: Bearer
        <token>.
      scheme: bearer
      bearerFormat: JWT

````